Bug 1685726 - Unhelpful error message when "Suggest IP" fails due to SSL verify error
Summary: Unhelpful error message when "Suggest IP" fails due to SSL verify error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Branding
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 22:18 UTC by Perry Gagne
Modified: 2019-10-07 17:17 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman_theme_satellite-3.0.1.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:24 UTC


Attachments (Terms of Use)
Screen shot of error in interfaces tab (45.36 KB, image/png)
2019-03-05 22:20 UTC, Perry Gagne
no flags Details
Correct error message (13.49 KB, image/png)
2019-04-26 10:20 UTC, Radovan Drazny
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:32 UTC

Description Perry Gagne 2019-03-05 22:18:03 UTC
Description of problem:
I ran the installer using an IP address for `--foreman-proxy-dhcp-server` instead of a hostname 

Version-Release number of selected component (if applicable):  6.5 snap 18


How reproducible: Always


Steps to Reproduce:
1. Setup infoblox with a cert that only has host name, not IP address.( This seems to be the case with the using the built in Infoblox self-signed cert).
2. Run installer with `--foreman-proxy-dhcp-server` using IP of infoblox appliance, instead of hostname
3. Configure subnet in infoblox and satellite. Ensure "IPAM" set to DHCP
3. Create a new host with the subnet, got into interface tab. 

Actual results:
Auto suggest fails with error (see also attached screen shot:
"Failed to fetch a free IP from Capsule %{Capsule}: %{message}"

Expected results:
Fails with a more helpful message. 

Additional info:
This error seems to be printed for other SSL verify issues too. Ex. if the certificate was updated, and the updated trust info was not added to the satellite.

Comment 2 Perry Gagne 2019-03-05 22:20:55 UTC
Created attachment 1541167 [details]
Screen shot of error in interfaces tab

Comment 4 Lukas Zapletal 2019-03-06 09:57:25 UTC
Branding replacement issue, fixed.

Comment 6 Radovan Drazny 2019-04-26 10:20:25 UTC
Created attachment 1558982 [details]
Correct error message

Verified on Sat 6.5 Snap 25. Unsuccessful connection to a capsule ends with a more helpful message:

Failed to fetch a free IP from Capsule capsule.example.com (https://capsule.example.com:9090): ERF12-8202 [ProxyAPI::ProxyException]: Unable to retrieve unused IP ([RestClient::Forbidden]: 403 Forbidden) for Capsule https://capsule.example.com:9090/dhcp

See the attached image

Comment 9 errata-xmlrpc 2019-05-14 12:40:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.